Crystal Space: csTextureManager Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csTextureManager Class Reference

General version of the texture manager. More...

`#include <csplugincommon/render3d/txtmgr.h>`

Inheritance diagram for csTextureManager:

[legend]
List of all members.

## Public Member Functions
virtual void | Clear ()
| Clear (free) all textures.
| csTextureManager (iObjectRegistry *object_reg, iGraphics2D *iG2D)
| Initialize the texture manager.
virtual | ~csTextureManager ()
| Destroy the texture manager.
## Public Attributes
csStringID | nameDiffuseTexture
csPixelFormat | pfmt
| Pixel format.
csStringSet | texClassIDs
## Protected Types
typedef csWeakRefArray< csTextureHandle > | csTexVector
## Protected Member Functions
virtual void | read_config (iConfigFile *config)
| Read configuration values from config file.
## Protected Attributes
iObjectRegistry * | object_reg
csTexVector | textures
| List of textures.

## Detailed Description

General version of the texture manager.

Each 3D driver should derive a texture manager class from this one and implement the missing functionality.

Definition at line 144 of file txtmgr.h.

## Constructor & Destructor Documentation

csTextureManager::csTextureManager | ( | iObjectRegistry * | object_reg,
|  | iGraphics2D * | iG2D |
| ) |  |  |

Initialize the texture manager.

virtual csTextureManager::~csTextureManager | ( |  | ) | `[virtual]`

Destroy the texture manager.

## Member Function Documentation

virtual void csTextureManager::Clear | ( |  | ) | `[inline, virtual]`

Clear (free) all textures.

Definition at line 174 of file txtmgr.h.

virtual void csTextureManager::read_config | ( | iConfigFile * | config | ) | `[protected, virtual]`

Read configuration values from config file.

## Member Data Documentation

csPixelFormat csTextureManager::pfmt

Pixel format.

Definition at line 162 of file txtmgr.h.

csTexVector csTextureManager::textures`[protected]`

List of textures.

Definition at line 153 of file txtmgr.h.

The documentation for this class was generated from the following file:

- csplugincommon/render3d/txtmgr.h